---
type: docs
title: "How-To: Setup a Dapr dev environment"
linkTitle: "Setup Dev environment"
weight: 50
description: "How to get up and running with Dapr SDKs, extensions, and tooling"
---

As you get up and running with Dapr there are a variety of SDKs and tools to make things easier for you. Check out the below the options to get up and running in your preferred tools.

## Dapr SDKs

Dapr offers a variety of SDKs for developing with Dapr in your preferred language.

Visit the [Dapr SDK docs]({{< ref sdks>}}) for more information and to get started in your preferred language.

## IDE integrations

For information on the available extensions and integrations with IDEs such as [VS Code]({{< ref vscode.md >}}) and [IntelliJ]({{< ref intellij.md >}}) visit the [Dapr IDE integrations docs]({{< ref ides >}}).

## Dapr Dashboard

For easy access to key information about your Dapr applications and components, make sure to run `dapr dashboard` to launch the [dashboard app](https://github.com/dapr/dashboard).

## Next steps
- [Try out a Dapr quickstart]({{< ref quickstarts.md >}})